package net.javase.onenet.model;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

/**
 * FuseLbsModel
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class FuseLbsModel extends BaseModel {

    /**
     * 产品名称
     */
    @ApiParam(name = "product_id")
    private String productId;

    /**
     * 设备名称
     */
    @ApiParam(name = "device_name")
    private String deviceName;

    /**
     * NB设备的imei号
     */
    private String imei;

    /**
     * 表示查询轨迹的开始时间，默认起始时间为本周一零点，可选，精确到毫秒级别
     */
    private String start;

    /**
     * 表示查询轨迹的结束时间，默认结束时间为当前时间，可选，精确到毫秒级别
     */
    private String end;

    /**
     * 指定页码，可选
     */
    private String page;

    /**
     * 指定每页输出设备个数，可选，默认10，可选
     */
    private String per_page;

    /**
     * 最大经度，可选
     */
    private String max_lon;

    /**
     * 最小经度，可选
     */
    private String min_lon;

    /**
     * 最大纬度，可选
     */
    private String max_lat;

    /**
     * 最小纬度，可选
     */
    private String min_lat;

    /**
     * 可选，默认为ASC（升序）
     */
    private String sort;



}
