package net.javase.onenet.model;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

/**
 * FuseOtaModel
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class FuseOtaModel extends BaseModel {

    /**
     * 产品id
     */
    @ApiParam(ignore = true)
    private String proId;

    /**
     * 设备名称
     */
    @ApiParam(ignore = true)
    private String devName;

    /**
     * tid
     */
    @ApiParam(ignore = true)
    private String tid;

    /**
     * 1:fota任务,2:sota任务
     */
    private Integer type;

    /**
     * 设备当前版本
     */
    private String version;

    /**
     * 分片下载字段
     */
    private Integer range;

    /**
     * 状态码
     */
    private Integer step;

    /**
     * 模组版本号
     */
    @ApiParam(name = "f_version")
    private String fVersion;

    /**
     * 应用服务版本号
     */
    @ApiParam(name = "s_version")
    private String sVersion;

}
