package net.javase.onenet.model;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import net.javase.onenet.annotation.ApiParam;
import net.javase.onenet.model.base.BaseModel;

import java.util.List;

/**
 * RegistDeviceIdentityModel
 *
 * @author Frank
 */
@Getter
@Setter
@Builder
public class RegistDeviceIdentityModel extends BaseModel {

    /**
     * 产品名称
     */
    @ApiParam(name = "product_id")
    private String productId;

    /**
     * 设备信息集合, 一次最多创建1000个设备。<br>
     * 每个集合元素是设备名称,例如["device01", "device02"]，每个元素的设备名称只能是1-32位英文、数字、特殊字符 -_
     */
    private List<String> devices;

    /**
     * 是否开启自动更新,0：关闭，1：开启
     */
    @ApiParam(name = "auto_mode")
    private String autoMode;

}
